package com.supervision.qanything.dto.offline;

import com.supervision.qanything.dto.HistoryDTO;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class ChatParam {

    private String userId;

    private List<String> kbIds;

    private List<HistoryDTO> history;

    private String question;

    private boolean streaming;

    private String productSource;

    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("user_id", userId);
        map.put("kb_ids", kbIds);
        map.put("history", history);
        map.put("question", question);
        map.put("streaming", streaming);
        map.put("product_source", productSource);
        return map;
    }
}
