package com.supervision.qanything.dto.offline;

import com.supervision.qanything.dto.SourceDTO;
import lombok.Data;

@Data
public class SourceDocument {
    private String  file_id;

    private String  file_name;

    private String  content;

    private String  retrieval_query;

    private String  file_path;

    private String  score;

    private String  embed_version;

    public SourceDTO toSourceDTO() {
        SourceDTO sourceDTO = new SourceDTO();
        sourceDTO.setFileId(this.file_id);
        sourceDTO.setFileName(this.file_name);
        sourceDTO.setContent(this.content);
        sourceDTO.setScore(this.score);
        return sourceDTO;
    }
}
